12.04 kernel hangs during boot (loading sb_edac) on 4-socket Sandy Bridge

Bug #1007061 reported by Roland Dreier on 2012-05-31
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

I was lucky enough to get a 4-socket Sandy Bridge (Xeon E5-4600 series) box, but unfortunately the default install of 12.04 hangs during boot while loading the sb_edac module. This is due to a bug in drivers/edac/sb_edac.c, as of now not yet fixed in upstream. However I sent the small fix: https://lkml.org/lkml/2012/5/31/371

WORKAROUND: Blacklist sb_edac .

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: linux-image-3.2.0-24-generic 3.2.0-24.39
ProcVersionSignature: Ubuntu 3.2.0-24.39-generic 3.2.16
Uname: Linux 3.2.0-24-generic x86_64
AlsaDevices:
 total 0
 crw-rw---T 1 root audio 116, 1 May 31 11:24 seq
 crw-rw---T 1 root audio 116, 33 May 31 11:24 timer
AplayDevices: Error: [Errno 2] No such file or directory
ApportVersion: 2.0.1-0ubuntu8
Architecture: amd64
ArecordDevices: Error: [Errno 2] No such file or directory
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
CRDA: Error: [Errno 2] No such file or directory
CurrentDmesg:
 [ 22.819778] ADDRCONF(NETDEV_CHANGE): eth2: link becomes ready
 [ 33.190089] eth2: no IPv6 routers present
Date: Thu May 31 11:24:56 2012
HibernationDevice: RESUME=UUID=315b7072-43a2-484f-b6a4-07b75ed02ee6
InstallationMedia: Ubuntu-Server 12.04 LTS "Precise Pangolin" - Release amd64 (20120424.1)
PciMultimedia:

ProcFB: 0 VESA VGA
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-24-generic root=UUID=a1f81222-4ae4-42e0-b4e6-1bb9fba3587a ro console=ttyS0,115200n1 console=tty0
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-24-generic N/A
 linux-backports-modules-3.2.0-24-generic N/A
 linux-firmware 1.79
RfKill: Error: [Errno 2] No such file or directory
SourcePackage: linux
StagingDrivers: mei
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 04/18/2012
dmi.bios.version: 1.0.2
dmi.board.name: 04K5X5
dmi.board.version: A00
dmi.chassis.type: 23
dmi.modalias: dmi:bvn:bvr1.0.2:bd04/18/2012:svn:pn:pvr:rvn:rn04K5X5:rvrA00:cvn:ct23:cvr:

Roland Dreier (roland.dreier) wrote :
Brad Figg (brad-figg) on 2012-05-31
Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.5kernel[0] (Not a kernel in the daily directory) and install both the linux-image and linux-image-extra .deb packages.

Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag(Only that one tag, please leave the other tags). This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.5-rc1-quantal/

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: needs-upstream-testing
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Roland Dreier (roland.dreier) wrote :

Yes, this bug still exists upstream. You can look at the lkml.org link I posted -- there is agreement that my patch is correct (it is identical to the one Chen Gong sent earlier) and that the edac maintainer will merge it, but that has not happened yet.

tags: added: kernel-bug-exists-upstream
removed: needs-upstream-testing
Roland Dreier (roland.dreier) wrote :

FWIW, the fix is now upstream as e35fca4791fcdd43dc1fd769797df40c562ab491 (in 3.5-rc4) and tagged for stable.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: kernel-fixed-upstream
removed: kernel-bug-exists-upstream

Marking Triaged as known good upstream commit fix provided via https://lkml.org/lkml/2012/5/31/371 .

tags: added: patch
Changed in linux (Ubuntu):
status: Confirmed → Triaged
Changed in linux:
status: New → In Progress

I noticed that this bug has been in progress since August 2nd. Is any help desired for patching and testing 12.04's kernel?

Kent Baxley (kentb) wrote :

The patches should be in Precise as of 3.2.0-28.44.

The actual patch that went in is described here:

https://lkml.org/lkml/2012/5/8/62

ubuntu-precise$ git show a68c0b4f45c5e9fdc7e02bb79538e490596899d6
commit a68c0b4f45c5e9fdc7e02bb79538e490596899d6
Author: Chen Gong <email address hidden>
Date: Tue May 8 20:40:12 2012 -0300

    edac: avoid mce decoding crash after edac driver unloaded

...so as long as the latest kernels are installed, then this one should be good to go.

description: updated

Roland Dreier, the patch you requested is available in Precise+ as per http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-precise.git;a=commit;h=a68c0b4f45c5e9fdc7e02bb79538e490596899d6 . Hence, this report is considered closed. However, if your problem is still reproducible, please execute the following in a terminal:
apport-collect -p linux 1007061

Changed in linux (Ubuntu):
status: Triaged → Invalid
no longer affects: linux
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

  • auto-linux-kernel Edit

Bug watches keep track of this bug in other bug trackers.